/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import javax.validation.constraints.Size;
import java.util.Date;




/**
 * 数据集环境关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-08-23 17:53:02  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "数据集环境关联表")
public class DataSetEnvRel extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_dataSetId = "dataSetId";
  public static final String KEY_envId = "envId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_seq = "seq";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_fileAddr = "fileAddr";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 数据集id<br>
   */
  @ApiModelProperty("数据集id")
  @Size(max = 32, message="数据集id-dataSetId: 数据长度不能 > 32" )
  private String dataSetId;
  /**
   * 环境id<br>
   */
  @ApiModelProperty("环境id")
  @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
  private String envId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 排序<br>
   */
  @ApiModelProperty("排序")
  private Integer seq;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 文件地址<br>
   */
  @ApiModelProperty("文件地址")
  @Size(max = 1024, message="文件地址-fileAddr: 数据长度不能 > 1024" )
  private String fileAddr;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 数据集id<br>
   */
  public String getDataSetId()
  {
      return dataSetId;
    }

  /**
   * 数据集id<br>
   *
   * @param dataSetId 数据集id
   */
  public void setDataSetId(String dataSetId)
  {
      this.dataSetId = dataSetId;
    }
  /**
   * 环境id<br>
   */
  public String getEnvId()
  {
      return envId;
    }

  /**
   * 环境id<br>
   *
   * @param envId 环境id
   */
  public void setEnvId(String envId)
  {
      this.envId = envId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 排序<br>
   */
  public Integer getSeq()
  {
      return seq;
    }

  /**
   * 排序<br>
   *
   * @param seq 排序
   */
  public void setSeq(Integer seq)
  {
      this.seq = seq;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 文件地址<br>
   */
  public String getFileAddr()
  {
      return fileAddr;
    }

  /**
   * 文件地址<br>
   *
   * @param fileAddr 文件地址
   */
  public void setFileAddr(String fileAddr)
  {
      this.fileAddr = fileAddr;
    }

  public DataSetEnvRel()
  {
  }

}
